# https://www.lrz.de/services/compute/supermuc/
#  
CC=icpc
MPICC=mpiCC -DMPICH_IGNORE_CXX_SEEK -DCONFIG_MPI=2048
#MPIEXEC=/lrz/sys/parallel/mpi.ibm/pecurrent/intel/bin/mpiexec -np 1
#
#
CFLAGS= -O3 -funroll-loops
CFLAGS+= -Wall -Wno-unused-function -Wno-unknown-pragmas
CFLAGS+= -g -pedantic -Wno-long-long -march=native -mtune=native
DFLAGS= -D__SIZEOF_INT128__=16
DFLAGS+= -DCFG_CPUSET=2 -D_GNU_SOURCE
DFLAGS+= -DCFG_STREAMS=4
DFLAGS+= -DNZXMAX=85
# using more than 4096tasks*16threads (16bit-numthreads)
#DFLAGS+= -DBY_TYPE="unsigned int"
LIB=  -lm -g -lpthread
#
# $LRZ_SYSTEM_SEGMENT  $LRZ_SUB_ARCH
# Thin_Node   SandyBridge_EP  #  2socks*8cores*2ht  32GB FDR10
# Fat_Node    Westmere_EX     #  4socks*10cores*2ht 256GB QDR
# Medium_Node Haswell_EP      #  2socks*14cores*2ht 64GB FDR14
#
# LRZ_SYSTEM_SEGMENT==Thin_Node 
DFLAGS+= -D_REENTRANT -DCONFIG_PTHREAD=16 -DNUM_AHEAD_LINES=8192
MPIEXEC="MP_TASK_AFFINITY=core:8 MP_TASKS_PER_NODE=2 MP_NODES=1 poe ./spin -t16"
#

#DFLAGS += -DCFG_FTLM=1 -DLAPACK
#LIB+= ${MKL_LIB}

#DFLAGS+= -DCFG_PERF_TEST=1
